Subject: Notification: incoming/1528

From: [email-masked]
Date: Sat, 11 Dec 2004 04:47:18 -0600 (CST)

FVWM Bug Tracking notification

new message incoming/1528

Message summary for PR#1528
	From: [email-masked]
	Subject: Left Mouse double click root later hangs
	Date: Sat, 11 Dec 2004 04:46:59 -0600
	0 replies 	0 followups

====> ORIGINAL MESSAGE FOLLOWS <====

>From [email-masked] Sat Dec 11 04:47:00 2004
Date: Sat, 11 Dec 2004 04:46:59 -0600
From: [email-masked]
To: [email-masked]
Subject: Left Mouse double click root later hangs

Full_Name: Bill Vrotney
Version: fvwm-2.4.19
CVS_Date: 
OS: Fedora Core 3
X_Server: Xorg
Submission from: (NULL) (165.247.208.116)

I encountered this bug in fvwm-2.4.0 so I just downloaded fvwm-2.4.19 and
the bug is still there.  What I do is the following

    In ~/.fvwm/bindings

       Mouse 1          R       N       RootMenu-or-WindowList

    In ~/.fvwm/functions

        DestroyFunc RootMenu-or-WindowList
        AddToFunc RootMenu-or-WindowList
        + I Menu Root-Menu mouse -1p -1p
        + D WindowList mouse -1p -1p NoGeometry

It works as expected, ie. when I left click in the root layer fvwm pops up
the root menu and when I left double click in the root layer fvwm pops up
the window list.  BUT, with this setting when an application is launched
fvwm hangs until the mouse is moved.

If you can suggest a work around please let me know.

Thanks.

Bill Vrotney - [email-masked]

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]